"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                          */
;/* empty css                                                              */
const Vue = require("vue");
const index$2 = ;/* empty css                                       */
const index$1 = ;/* empty css                                      */
const index = require("../../store/index.js");
;/* empty css            */
const _pluginVue_exportHelper = require("../../../../_virtual/_plugin-vue_export-helper.js");
const index$3 = require("../../../../node_modules/element-plus/es/components/container/index.js");
const _sfc_main = {
  __name: "index",
  setup(__props) {
    const editingProperty = Vue.computed(() => {
      switch (index.default.getters.editingType) {
        case "table":
          return index$2.default;
        case "form":
          return index$1.default;
      }
      return null;
    });
    return (_ctx, _cache) => {
      const _component_el_aside = index$3.ElAside;
      return Vue.openBlock(), Vue.createBlock(_component_el_aside, { class: "root-property" }, {
        default: Vue.withCtx(() => [
          (Vue.openBlock(), Vue.createBlock(Vue.resolveDynamicComponent(editingProperty.value)))
        ]),
        _: 1
      });
    };
  }
};
const LayoutProperty = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-e88c3a83"]]);
exports.default = LayoutProperty;
